#!/usr/bin/python
# -*- coding:utf-8 -*-

import MonitoringPoints, sys

prefectureTable = { "北海道":0, "青森県":1, "岩手県":2, "宮城県":3,
                    "秋田県":4, "山形県":5, "福島県":6, "茨城県":7,
                    "栃木県":8, "群馬県":9, "埼玉県":10, "千葉県":11,
                    "東京都":12, "神奈川県":13, "新潟県":14, "富山県":15,
                    "石川県":16, "福井県":17, "山梨県":18, "長野県":19,
                    "岐阜県":20, "静岡県":21, "愛知県":22, "三重県":23,
                    "滋賀県":24, "京都府":25, "大阪府":26, "兵庫県":27,
                    "奈良県":28, "和歌山県":29, "鳥取県":30, "島根県":31,
                    "岡山県":32, "広島県":33, "山口県":34, "徳島県":35,
                    "香川県":36, "愛媛県":37, "高知県":38, "福岡県":39,
                    "佐賀県":40, "長崎県":41, "熊本県":42, "大分県":43,
                    "宮崎県":44, "鹿児島県":45, "沖縄県":46, };

monitoringPoints = MonitoringPoints.MonitoringPoints()
monitoringPoints.add_location( 0, "石狩支庁北部", ("石狩市","石狩郡",) )
monitoringPoints.add_location( 0, "石狩支庁中部", ("札幌市","江別市",) )
monitoringPoints.add_location( 0, "石狩支庁南部", ("千歳市","恵庭市","北広島市",) )
monitoringPoints.add_location( 0, "渡島支庁北部", ("山越郡","二海郡",) )
monitoringPoints.add_location( 0, "渡島支庁東部", ("函館市","亀田郡","茅部郡","上磯町",) )
monitoringPoints.add_location( 0, "渡島支庁西部", ("松前郡","知内町","木古内町",) )
monitoringPoints.add_location( 0, "檜山支庁", ("檜山郡","爾志郡","久遠郡","瀬棚郡",) )
monitoringPoints.add_location( 0, "北海道奥尻島", ("奥尻郡",) )
monitoringPoints.add_location( 0, "後志支庁北部", ("小樽市","積丹郡","古平郡","余市郡",) )
monitoringPoints.add_location( 0, "後志支庁東部", ("ニセコ町","真狩村","留寿都村","喜茂別町","京極町","倶知安町",) )
monitoringPoints.add_location( 0, "後志支庁西部", ("島牧郡","寿都郡","磯谷郡","岩内郡","古宇郡",) )
monitoringPoints.add_location( 0, "空知支庁北部", ("深川市","妹背牛町","秩父別町","北竜町","沼田町","幌加内町",) )
monitoringPoints.add_location( 0, "空知支庁中部", ("芦別市","赤平市","滝川市","砂川市","歌志内市","奈井江町","上砂川町","浦臼町","新十津川町","雨竜町",) )
monitoringPoints.add_location( 0, "空知支庁南部", ("夕張市","岩見沢市","美唄市","三笠市","夕張郡","北村","栗沢町","南幌町","月形町",) )
monitoringPoints.add_location( 0, "上川支庁北部", ("士別市","名寄市","和寒町","剣淵町","風連町","下川町","美深町","音威子府村","中川町",) )
monitoringPoints.add_location( 0, "上川支庁中部", ("旭川市","鷹栖町","東神楽町","当麻町","比布町","愛別町","上川町","東川町","美瑛町",) )
monitoringPoints.add_location( 0, "上川支庁南部", ("富良野市","上富良野町","中富良野町","南富良野町","占冠村",) )
monitoringPoints.add_location( 0, "留萌支庁中北部", ("苫前郡","遠別町","天塩町","幌延町",) )
monitoringPoints.add_location( 0, "留萌支庁南部", ("留萌市","増毛郡","留萌郡",) )
monitoringPoints.add_location( 0, "宗谷支庁北部", ("稚内市","宗谷郡","豊富町",) )
monitoringPoints.add_location( 0, "宗谷支庁南部", ("枝幸郡",) )
monitoringPoints.add_location( 0, "北海道利尻礼文", ("礼文郡","利尻郡",) )
monitoringPoints.add_location( 0, "網走支庁網走", ("網走市","網走郡","斜里郡","佐呂間町","常呂町",) )
monitoringPoints.add_location( 0, "網走支庁北見", ("北見市","端野町","訓子府町","置戸町","留辺蘂町",) )
monitoringPoints.add_location( 0, "網走支庁紋別", ("紋別市","紋別郡",) )
monitoringPoints.add_location( 0, "胆振支庁西部", ("伊達市","有珠郡","豊浦町","虻田町","洞爺村",) )
monitoringPoints.add_location( 0, "胆振支庁中東部", ("室蘭市","苫小牧市","登別市","白老郡","早来町","追分町","厚真町","鵡川町","穂別町",) )
monitoringPoints.add_location( 0, "日高支庁西部", ("沙流郡",) )
monitoringPoints.add_location( 0, "日高支庁中部", ("新冠郡","静内郡","三石郡",) )
monitoringPoints.add_location( 0, "日高支庁東部", ("浦河郡","様似郡","幌泉郡",) )
monitoringPoints.add_location( 0, "十勝支庁北部", ("足寄郡","上士幌町","鹿追町","新得町",) )
monitoringPoints.add_location( 0, "十勝支庁中部", ("帯広市","十勝郡","音更町","士幌町","清水町","芽室町","幕別町","池田町","豊頃町","本別町",) )
monitoringPoints.add_location( 0, "十勝支庁南部", ("広尾郡","中札内村","更別村",) )
monitoringPoints.add_location( 0, "釧路支庁北部", ("弟子屈町",) )
monitoringPoints.add_location( 0, "釧路支庁中南部", ("釧路市","釧路郡","厚岸郡","阿寒郡","白糠郡","標茶町",) )
monitoringPoints.add_location( 0, "根室支庁北部", ("標津郡","目梨郡",) )
monitoringPoints.add_location( 0, "根室支庁中部", ("野付郡",) )
monitoringPoints.add_location( 0, "根室支庁南部", ("根室市",) )
monitoringPoints.add_location( 1, "青森県津軽北部", ("青森市","五所川原市","つがる市","東津軽郡","北津軽郡","浪岡町",) )
monitoringPoints.add_location( 1, "青森県津軽南部", ("弘前市","黒石市","西津軽郡","中津軽郡","藤崎町","大鰐町","尾上町","平賀町","常盤村","田舎館村","碇ケ関村",) )
monitoringPoints.add_location( 1, "青森県三八上北", ("八戸市","十和田市","三沢市","上北郡","三戸郡",) )
monitoringPoints.add_location( 1, "青森県下北", ("むつ市","下北郡",) )
monitoringPoints.add_location( 2, "岩手県沿岸北部", ("宮古市","久慈市","上閉伊郡","下閉伊郡","九戸郡",) )
monitoringPoints.add_location( 2, "岩手県沿岸南部", ("大船渡市","陸前高田市","釜石市","気仙郡",) )
monitoringPoints.add_location( 2, "岩手県内陸北部", ("盛岡市","二戸市","八幡平市","岩手郡","二戸郡",) )
monitoringPoints.add_location( 2, "岩手県内陸南部", ("水沢市","花巻市","北上市","遠野市","一関市","江刺市","紫波郡","稗貫郡","和賀郡","胆沢郡","西磐井郡","東磐井郡",) )
monitoringPoints.add_location( 3, "宮城県北部", ("石巻市","古川市","気仙沼市","栗原市","登米市","東松島市","黒川郡","加美郡","志田郡","玉造郡","遠田郡","牡鹿郡","本吉郡",) )
monitoringPoints.add_location( 3, "宮城県南部", ("仙台市","仙台青葉区","仙台泉区","仙台宮城野区","仙台太白区","塩竃市","白石市","名取市","角田市","多賀城市","岩沼市","刈田郡","柴田郡","伊具郡","亘理郡","宮城郡",) )
monitoringPoints.add_location( 4, "秋田県沿岸北部", ("能代市","男鹿市","潟上市","山本郡","南秋田郡",) )
monitoringPoints.add_location( 4, "秋田県沿岸南部", ("秋田市","由利本荘市","にかほ市",) )
monitoringPoints.add_location( 4, "秋田県内陸北部", ("大館市","鹿角市","鹿角郡","北秋田市","北秋田郡",) )
monitoringPoints.add_location( 4, "秋田県内陸南部", ("横手市","湯沢市","大仙市","仙北市","雄勝郡",) )
monitoringPoints.add_location( 5, "山形県庄内", ("鶴岡市","酒田市","東田川郡","飽海郡",) )
monitoringPoints.add_location( 5, "山形県最上", ("新庄市","尾花沢市","北村山郡","最上郡",) )
monitoringPoints.add_location( 5, "山形県村山", ("山形市","寒河江市","上山市","村山市","天童市","東根市","東村山郡","西村山郡",) )
monitoringPoints.add_location( 5, "山形県置賜", ("米沢市","長井市","南陽市","東置賜郡","西置賜郡",) )
monitoringPoints.add_location( 6, "福島県中通り", ("福島市","郡山市","白河市","須賀川市","二本松市","田村市","伊達郡","安達郡","岩瀬郡","西白河郡","東白川郡","石川郡","田村郡",) )
monitoringPoints.add_location( 6, "福島県浜通り", ("いわき市","原町市","相馬市","双葉郡","相馬郡",) )
monitoringPoints.add_location( 6, "福島県会津", ("会津若松市","喜多方市","南会津郡","耶麻郡","河沼郡","大沼郡",) )
monitoringPoints.add_location( 7, "茨城県北部", ("水戸市","日立市","常陸太田市","高萩市","北茨城市","笠間市","ひたちなか市","常陸大宮市","那珂市","東茨城郡","西茨城郡","那珂郡","久慈郡",) )
monitoringPoints.add_location( 7, "茨城県南部", ("土浦市","古河市","石岡市","結城市","龍ケ崎市","下妻市","水海道市","取手市","牛久市","つくば市","鹿嶋市","潮来市","守谷市","坂東市","稲敷市","筑西市","かすみがうら市","神栖市","行方市","桜川市","鹿島郡","稲敷郡","新治郡","筑波郡","結城郡","猿島郡","北相馬郡",) )
monitoringPoints.add_location( 8, "栃木県北部", ("日光市","今市市","大田原市","矢板市","那須塩原市","足尾町","栗山村","藤原町","塩谷町","那須町",) )
monitoringPoints.add_location( 8, "栃木県南部", ("宇都宮市","足利市","栃木市","佐野市","鹿沼市","小山市","真岡市","さくら市","那須烏山市","河内郡","芳賀郡","下都賀郡","西方町","粟野町","高根沢町","那珂川町",) )
monitoringPoints.add_location( 9, "群馬県北部", ("沼田市","中之条町","長野原町","嬬恋村","草津町","六合村","高山村","片品村","川場村","みなかみ町",) )
monitoringPoints.add_location( 9, "群馬県南部", ("前橋市","高崎市","桐生市","伊勢崎市","太田市","館林市","渋川市","藤岡市","富岡市","安中市","勢多郡","群馬郡","北群馬郡","多野郡","甘楽郡","碓氷郡","佐波郡","新田郡","山田郡","邑楽郡","東村","吾妻町","昭和村",) )
monitoringPoints.add_location( 10, "埼玉県北部", ("熊谷市","行田市","加須市","本庄市","東松山市","羽生市","鴻巣市","深谷市","久喜市","児玉郡","大里郡","北埼玉郡","滑川町","嵐山町","小川町","都幾川村","玉川村","吉見町","鳩山町","東秩父村","菖蒲町","栗橋町","鷲宮町",) )
monitoringPoints.add_location( 10, "埼玉県南部", ("さいたま市","川越市","川口市","所沢市","飯能市","岩槻市","春日部市","狭山市","上尾市","草加市","越谷市","蕨市","戸田市","入間市","鳩ケ谷市","朝霞市","志木市","和光市","新座市","桶川市","北本市","八潮市","富士見市","三郷市","蓮田市","坂戸市","幸手市","鶴ケ島市","日高市","吉川市","ふじみ野市","北足立郡","入間郡","川島町","宮代町","白岡町","杉戸町","松伏町",) )
monitoringPoints.add_location( 10, "埼玉県秩父", ("秩父市","横瀬町","皆野町","長瀞町","小鹿野町",) )
monitoringPoints.add_location( 11, "千葉県北東部", ("銚子市","佐原市","茂原市","東金市","八日市場市","旭市","香取郡","匝瑳郡","山武郡","長生郡",) )
monitoringPoints.add_location( 11, "千葉県北西部", ("千葉市","市川市","船橋市","松戸市","野田市","成田市","佐倉市","習志野市","柏市","市原市","流山市","八千代市","我孫子市","鎌ヶ谷市","浦安市","四街道市","八街市","印西市","白井市","富里市","印旛郡",) )
monitoringPoints.add_location( 11, "千葉県南部", ("館山市","木更津市","勝浦市","鴨川市","君津市","富津市","袖ヶ浦市","夷隅郡","安房郡",) )
monitoringPoints.add_location( 12, "東京都２３区", ("千代田区","中央区","港区","新宿区","文京区","台東区","墨田区","江東区","品川区","目黒区","大田区","世田谷区","渋谷区","中野区","杉並区","豊島区","北区","荒川区","板橋区","練馬区","足立区","葛飾区","江戸川区",) )
monitoringPoints.add_location( 12, "東京都多摩東部", ("八王子市","立川市","武蔵野市","三鷹市","府中市","昭島市","調布市","町田市","小金井市","小平市","日野市","東村山市","国分寺市","国立市","福生市","狛江市","東大和市","清瀬市","東久留米市","武蔵村山市","多摩市","稲城市","羽村市","西東京市","瑞穂町",) )
monitoringPoints.add_location( 12, "東京都多摩西部", ("青梅市","あきる野市","日の出町","檜原村","奥多摩町",) )
monitoringPoints.add_location( 12, "伊豆大島", ("大島町",) )
monitoringPoints.add_location( 12, "神津島", ("神津島村",) )
monitoringPoints.add_location( 12, "新島", ("利島村","新島村",) )
monitoringPoints.add_location( 12, "三宅島", ("三宅村","御蔵島村",) )
monitoringPoints.add_location( 12, "八丈島", ("八丈町","青ヶ島村",) )
monitoringPoints.add_location( 12, "小笠原", ("小笠原村",) )
monitoringPoints.add_location( 13, "神奈川県東部", ("横浜市","横浜青葉区","川崎市","横須賀市","平塚市","鎌倉市","藤沢市","茅ヶ崎市","逗子市","三浦市","大和市","海老名市","座間市","綾瀬市","三浦郡","高座郡","中郡",) )
monitoringPoints.add_location( 13, "神奈川県西部", ("小田原市","相模原市","秦野市","厚木市","伊勢原市","南足柄市","足柄上郡","足柄下郡","愛甲郡","津久井郡",) )
monitoringPoints.add_location( 14, "新潟県上越", ("糸魚川市","上越市","妙高市　",) )
monitoringPoints.add_location( 14, "新潟県中越", ("長岡市","三条市","柏崎市","小千谷市","加茂市","十日町市","見附市","栃尾市","魚沼市","南魚沼市","南蒲原郡","三島郡","北魚沼郡","南魚沼郡","中魚沼郡","刈羽郡",) )
monitoringPoints.add_location( 14, "新潟県下越", ("新潟市","新発田市","村上市","燕市","五泉市","阿賀野市","胎内市","北蒲原郡","中蒲原郡","西蒲原郡","東蒲原郡","岩船郡",) )
monitoringPoints.add_location( 14, "新潟県佐渡", ("佐渡市",) )
monitoringPoints.add_location( 15, "富山県東部", ("富山市","魚津市","滑川市","黒部市","中新川郡","下新川郡",) )
monitoringPoints.add_location( 15, "富山県西部", ("高岡市","新湊市","氷見市","砺波市","小矢部市","南砺市","射水郡","西礪波郡",) )
monitoringPoints.add_location( 16, "石川県能登", ("七尾市","輪島市","珠洲市","羽咋市","羽咋郡","鹿島郡","鳳珠郡",) )
monitoringPoints.add_location( 16, "石川県加賀", ("金沢市","小松市","加賀市","かほく市","白山市","能美市","能美郡","石川郡","河北郡",) )
monitoringPoints.add_location( 17, "福井県嶺北", ("福井市","大野市","勝山市","鯖江市","あわら市","越前市","足羽郡","吉田郡","大野郡","坂井郡","今立郡","南条郡","丹生郡",) )
monitoringPoints.add_location( 17, "福井県嶺南", ("敦賀市","小浜市","三方郡","遠敷郡","大飯郡","三方上中郡",) )
monitoringPoints.add_location( 18, "山梨県東部", ("富士吉田市","都留市","大月市","上野原市","南都留郡","北都留郡","上九一色村",) )
monitoringPoints.add_location( 18, "山梨県中西部", ("甲府市","塩山市","山梨市","韮崎市","南アルプス市","北杜市","甲斐市","笛吹市","東山梨郡","東八代郡","南巨摩郡","中巨摩郡","北巨摩郡","市川三郷町",) )
monitoringPoints.add_location( 19, "長野県北部", ("長野市","須坂市","中野市","大町市","飯山市","千曲市","北安曇郡","埴科郡","上高井郡","下高井郡","上水内郡","下水内郡",) )
monitoringPoints.add_location( 19, "長野県中部", ("松本市","上田市","岡谷市","諏訪市","小諸市","茅野市","塩尻市","佐久市","東御市","安曇野市","南佐久郡","北佐久郡","小県郡","諏訪郡","東筑摩郡",) )
monitoringPoints.add_location( 19, "長野県南部", ("飯田市","伊那市","駒ケ根市","上伊那郡","下伊那郡","木曽郡",) )
monitoringPoints.add_location( 20, "岐阜県飛騨", ("高山市","飛騨市","下呂市","大野郡　",) )
monitoringPoints.add_location( 20, "岐阜県美濃東部", ("多治見市","中津川市","瑞浪市","恵那市","美濃加茂市","土岐市","可児市","加茂郡","可児郡","土岐郡",) )
monitoringPoints.add_location( 20, "岐阜県美濃中西部", ("岐阜市","大垣市","関市","美濃市","羽島市","各務原市","山県市","瑞穂市","本巣市","郡上市","海津市","羽島郡","養老郡","不破郡","安八郡","揖斐郡","本巣郡",) )
monitoringPoints.add_location( 21, "静岡県伊豆", ("熱海市","伊東市","下田市","伊豆市","伊豆の国市","賀茂郡","田方郡",) )
monitoringPoints.add_location( 21, "静岡県東部", ("沼津市","三島市","富士宮市","富士市","御殿場市","裾野市","駿東郡","富士郡",) )
monitoringPoints.add_location( 21, "静岡県中部", ("静岡市","島田市","焼津市","藤枝市","庵原郡","志太郡","榛原郡",) )
monitoringPoints.add_location( 21, "静岡県西部", ("浜松市","磐田市","掛川市","袋井市","湖西市","御前崎市","菊川市","周智郡","浜名郡",) )
monitoringPoints.add_location( 22, "愛知県東部", ("豊橋市","豊川市","蒲郡市","新城市","田原市","北設楽郡","宝飯郡","額田町",) )
monitoringPoints.add_location( 22, "愛知県西部", ("名古屋市","岡崎市","一宮市","瀬戸市","半田市","春日井市","津島市","碧南市","刈谷市","豊田市","安城市","西尾市","犬山市","常滑市","江南市","小牧市","稲沢市","東海市","大府市","知多市","知立市","尾張旭市","高浜市","岩倉市","豊明市","日進市","愛西市","清洲市","愛知郡","西春日井郡","丹羽郡","海部郡","知多郡","幡豆郡","西加茂郡","幸田町",) )
monitoringPoints.add_location( 23, "三重県北部", ("四日市市","桑名市","鈴鹿市","いなべ市","桑名郡","員弁郡","三重郡",) )
monitoringPoints.add_location( 23, "三重県中部", ("津市","伊勢市","松阪市","名張市","亀山市","鳥羽市","久居市","志摩市","伊賀市","安芸郡","一志郡","多気郡","玉城町","二見町","小俣町","御薗村","度会町",) )
monitoringPoints.add_location( 23, "三重県南部", ("尾鷲市","熊野市","北牟婁郡","南牟婁郡","南伊勢町","大紀町",) )
monitoringPoints.add_location( 24, "滋賀県北部", ("彦根市","長浜市","高島市","米原市","滋賀郡","愛知郡","犬上郡","東浅井郡","伊香郡",) )
monitoringPoints.add_location( 24, "滋賀県南部", ("大津市","近江八幡市","草津市","守山市","栗東市","甲賀市","野州市","湖南市","東近江市","蒲生郡","神崎郡",) )
monitoringPoints.add_location( 25, "京都府北部", ("福知山市","舞鶴市","綾部市","宮津市","京丹後市","北桑田郡","天田郡","加佐郡","与謝郡","和知町",) )
monitoringPoints.add_location( 25, "京都府南部", ("京都市","宇治市","亀岡市","城陽市","向日市","長岡京市","八幡市","京田辺市","乙訓郡","久世郡","綴喜郡","相楽郡","園部町","八木町","丹波町","日吉町","瑞穂町",) )
monitoringPoints.add_location( 26, "大阪府北部", ("大阪市","豊中市","池田市","吹田市","高槻市","守口市","枚方市","茨木市","八尾市","寝屋川市","大東市","箕面市","柏原市","門真市","摂津市","東大阪市","四条畷市","交野市","三島郡","豊能郡",) )
monitoringPoints.add_location( 26, "大阪府南部", ("堺市","岸和田市","泉大津市","貝塚市","泉佐野市","富田林市","河内長野市","松原市","和泉市","羽曳野市","高石市","藤井寺市","泉南市","大阪狭山市","阪南市","泉北郡","泉南郡","南河内郡",) )
monitoringPoints.add_location( 27, "兵庫県北部", ("豊岡市","養父市","朝来市","美方郡",) )
monitoringPoints.add_location( 27, "兵庫県南東部", ("神戸市","尼崎市","明石市","西宮市","芦屋市","伊丹市","加古川市","西脇市","宝塚市","三木市","高砂市","川西市","小野市","三田市","加西市","篠山市","丹波市","川辺郡","美嚢郡","加東郡","多可郡","加古郡",) )
monitoringPoints.add_location( 27, "兵庫県南西部", ("姫路市","相生市","赤穂市","宍粟市","たつの市","飾磨郡","神崎郡","揖保郡","赤穂郡","佐用郡","宍粟郡",) )
monitoringPoints.add_location( 27, "兵庫県淡路島", ("洲本市","南あわじ市","淡路市","津名郡",) )
monitoringPoints.add_location( 28, "奈良県", ("奈良県全域",) )
monitoringPoints.add_location( 29, "和歌山県北部", ("和歌山市","海南市","橋本市","有田市","御坊市","海草郡","那賀郡","伊都郡","有田郡","日高郡",) )
monitoringPoints.add_location( 29, "和歌山県南部", ("田辺市","新宮市","西牟婁郡","東牟婁郡",) )
monitoringPoints.add_location( 30, "鳥取県東部", ("鳥取市","岩美郡","八頭郡",) )
monitoringPoints.add_location( 30, "鳥取県中部", ("倉吉市","東伯郡",) )
monitoringPoints.add_location( 30, "鳥取県西部", ("米子市","境港市","西伯郡","日野郡",) )
monitoringPoints.add_location( 31, "島根県東部", ("松江市","出雲市","安来市","雲南市","八束郡","仁多郡","飯石郡","簸川郡",) )
monitoringPoints.add_location( 31, "島根県西部", ("浜田市","益田市","大田市","江津市","邑智郡","鹿足郡",) )
monitoringPoints.add_location( 31, "島根県隠岐", ("隠岐郡",) )
monitoringPoints.add_location( 32, "岡山県北部", ("津山市","新見市","真庭市","美作市","真庭郡","苫田郡","勝田郡","英田郡","久米郡",) )
monitoringPoints.add_location( 32, "岡山県南部", ("岡山市","倉敷市","玉野市","笠岡市","井原市","総社市","高梁市","備前市","瀬戸内市","赤磐市","御津郡","赤磐郡","和気郡","都窪郡","浅口郡","小田郡","加賀郡",) )
monitoringPoints.add_location( 33, "広島県北部", ("三次市","庄原市","安芸高田市","山県郡",) )
monitoringPoints.add_location( 33, "広島県南東部", ("竹原市","三原市","尾道市","因島市","福山市","府中市","豊田郡","世羅郡","深安郡","神石郡",) )
monitoringPoints.add_location( 33, "広島県南西部", ("広島市","呉市","大竹市","東広島市","廿日市市","江田島市","安芸郡","佐伯郡",) )
monitoringPoints.add_location( 34, "山口県北部", ("萩市","長門市","美祢市","美祢郡","阿武郡",) )
monitoringPoints.add_location( 34, "山口県東部", ("山口市","防府市","下松市","岩国市","光市","柳井市","周南市","大島郡","玖珂郡","熊毛郡",) )
monitoringPoints.add_location( 34, "山口県西部", ("下関市","宇部市","山陽小野田市",) )
monitoringPoints.add_location( 35, "徳島県北部", ("徳島市","鳴門市","小松島市","吉野川市","美馬市","阿波市","名東郡","名西郡","板野郡","美馬郡","三好郡",) )
monitoringPoints.add_location( 35, "徳島県南部", ("阿南市","勝浦郡","那賀郡","海部郡",) )
monitoringPoints.add_location( 36, "香川県東部", ("高松市","さぬき市","東かがわ市","小豆郡","木田郡","香川郡",) )
monitoringPoints.add_location( 36, "香川県西部", ("丸亀市","坂出市","善通寺市","観音寺市","綾歌郡","仲多度郡","三豊郡",) )
monitoringPoints.add_location( 37, "愛媛県東予", ("今治市","新居浜市","西条市","四国中央市","越智郡",) )
monitoringPoints.add_location( 37, "愛媛県中予", ("松山市","伊予市","東温市","上浮穴郡","伊予郡",) )
monitoringPoints.add_location( 37, "愛媛県南予", ("宇和島市","八幡浜市","大洲市","西予市","喜多郡","西宇和郡","北宇和郡","南宇和郡",) )
monitoringPoints.add_location( 38, "高知県東部", ("室戸市","安芸市","安芸郡",) )
monitoringPoints.add_location( 38, "高知県中部", ("高知市","南国市","土佐市","須崎市","香美郡","長岡郡","土佐郡","吾川郡","佐川町","越知町","日高村","津野町",) )
monitoringPoints.add_location( 38, "高知県西部", ("宿毛市","土佐清水市","四万十市","幡多郡","中土佐町","窪川町","檮原町","大野見村",) )
monitoringPoints.add_location( 39, "福岡県福岡", ("福岡市","筑紫野市","春日市","大野城市","宗像市","太宰府市","前原市","古賀市","福津市","筑紫郡","糟屋郡","糸島郡",) )
monitoringPoints.add_location( 39, "福岡県北九州", ("北九州市","行橋市","豊前市","中間市","遠賀郡","京都郡","築上郡",) )
monitoringPoints.add_location( 39, "福岡県筑豊", ("直方市","飯塚市","田川市","山田市","鞍手郡","嘉穂郡","田川郡",) )
monitoringPoints.add_location( 39, "福岡県筑後", ("大牟田市","久留米市","柳川市","甘木市","八女市","筑後市","大川市","小郡市","うきは市","朝倉郡","三井郡","三瀦郡","八女郡","山門郡","三池郡",) )
monitoringPoints.add_location( 40, "佐賀県北部", ("唐津市","伊万里市","東松浦郡","西松浦郡",) )
monitoringPoints.add_location( 40, "佐賀県南部", ("佐賀市","鳥栖市","多久市","武雄市","鹿島市","小城市","佐賀郡","神埼郡","三養基郡","杵島郡","藤津郡",) )
monitoringPoints.add_location( 41, "長崎県北部", ("佐世保市","平戸市","松浦市","東彼杵郡","福島町","鷹島町","江迎町","鹿町町","小佐々町","佐々町",) )
monitoringPoints.add_location( 41, "長崎県南西部", ("長崎市","諫早市","大村市","西海市","西彼杵郡",) )
monitoringPoints.add_location( 41, "長崎県島原半島", ("島原市","南高来郡",) )
monitoringPoints.add_location( 41, "長崎県対馬", ("対馬市",) )
monitoringPoints.add_location( 41, "長崎県壱岐", ("壱岐市",) )
monitoringPoints.add_location( 41, "長崎県五島", ("五島市","南松浦郡","小値賀町","宇久町",) )
monitoringPoints.add_location( 42, "熊本県阿蘇", ("阿蘇市","南小国町","小国町","産山村","高森町","南阿蘇村",) )
monitoringPoints.add_location( 42, "熊本県熊本", ("熊本市","八代市","荒尾市","玉名市","山鹿市","菊池市","宇土市","宇城市","下益城郡","玉名郡","鹿本郡","菊池郡","上益城郡","八代郡","西原村",) )
monitoringPoints.add_location( 42, "熊本県球磨", ("人吉市","球磨郡",) )
monitoringPoints.add_location( 42, "熊本県天草芦北", ("水俣市","本渡市","牛深市","上天草市","葦北郡","天草郡",) )
monitoringPoints.add_location( 43, "大分県北部", ("中津市","豊後高田市","宇佐市","国見町","姫島村","国東町",) )
monitoringPoints.add_location( 43, "大分県中部", ("大分市","別府市","臼杵市","杵築市","由布市","速見郡","武蔵町","安岐町",) )
monitoringPoints.add_location( 43, "大分県南部", ("佐伯市","津久見市","豊後大野市",) )
monitoringPoints.add_location( 43, "大分県西部", ("日田市","竹田市","玖珠郡",) )
monitoringPoints.add_location( 44, "宮崎県北部平野部", ("延岡市","日向市","西都市","高鍋町","新富町","川南町","都農町","門川町","北浦町",) )
monitoringPoints.add_location( 44, "宮崎県北部山沿い", ("西臼杵郡","西米良村","木城町","東郷町","南郷村","西郷村","北郷村","北方町","北川町","諸塚村","椎葉村",) )
monitoringPoints.add_location( 44, "宮崎県南部平野部", ("宮崎市","日南市","串間市","清武町","佐土原町","南郷町","高岡町","国富町",) )
monitoringPoints.add_location( 44, "宮崎県南部山沿い", ("都城市","小林市","えびの市","北諸県郡","西諸県郡","田野町","北郷町","綾町",) )
monitoringPoints.add_location( 45, "鹿児島県薩摩", ("鹿児島市","枕崎市","串木野市","阿久根市","出水市","大口市","指宿市","加世田市","国分市","日置市","揖宿郡","川辺郡","日置郡","薩摩郡","出水郡","伊佐郡","姶良郡","鹿島町","上甑町","里町及び下甑町を除く。",) )
monitoringPoints.add_location( 45, "鹿児島県大隅", ("鹿屋市","垂水市","曽於市","曽於郡","肝属郡",) )
monitoringPoints.add_location( 45, "鹿児島県甑島", ("鹿島町","上甑町","里町及び下甑町に限る。",) )
monitoringPoints.add_location( 45, "鹿児島県種子島", ("西之表市","三島村","中種子町","南種子町",) )
monitoringPoints.add_location( 45, "鹿児島県屋久島", ("上屋久町","屋久町",) )
monitoringPoints.add_location( 45, "鹿児島県十島村", ("十島村",) )
monitoringPoints.add_location( 45, "鹿児島県奄美北部", ("名瀬市","大和村","宇検村","瀬戸内町","住用村","龍郷町","笠利町","喜界町",) )
monitoringPoints.add_location( 45, "鹿児島県奄美南部", ("徳之島町","天城町","伊仙町","和泊町","知名町","与論町",) )
monitoringPoints.add_location( 46, "沖縄県本島北部", ("名護市","国頭郡","粟国村","伊平屋村","伊是名村",) )
monitoringPoints.add_location( 46, "沖縄県本島中南部", ("那覇市","宜野湾市","浦添市","糸満市","沖縄市","豊見城市","うるま市","中頭郡","東風平町","具志頭村","玉城村","知念村","佐敷町","与那原町","大里村","南風原町","渡嘉敷村","座間味村","渡名喜村",) )
monitoringPoints.add_location( 46, "沖縄県久米島", ("久米島町",) )
monitoringPoints.add_location( 46, "沖縄県大東島", ("南大東村","北大東村",) )
monitoringPoints.add_location( 46, "沖縄県宮古島", ("宮古島市","宮古郡",) )
monitoringPoints.add_location( 46, "沖縄県石垣島", ("石垣市",) )
monitoringPoints.add_location( 46, "沖縄県西表島", ("竹富町",) )
monitoringPoints.add_location( 46, "沖縄県与那国島", ("与那国町",) )

if __name__ == "__main__":
    print monitoringPoints.resolve_code( "北海道", "沼田町" )
    pass
